Package org.opensaml.soap.wsfed

# Interface WSFedObjectBuilder<WSFedObjectType extends WSFedObject>

Type Parameters:
  `WSFedObjectType` - type of WS-Federation object constructed by the builder.

All Superinterfaces:
  `XMLObjectBuilder<WSFedObjectType>`

All Known Implementing Classes:
  `AddressBuilder`, `AppliesToBuilder`, `EndPointReferenceBuilder`, `RequestedSecurityTokenBuilder`, `RequestSecurityTokenResponseBuilder`

public interface WSFedObjectBuilder<WSFedObjectType extends WSFedObject> extends XMLObjectBuilder<WSFedObjectType>
Builder of `WSFedObject`s.

## Method Summary

Modifier and Type
Method
Description
`WSFedObjectType`
`buildObject()`
Builds a WS-Federation object using its default element name.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull WSFedObjectType buildObject()
Builds a WS-Federation object using its default element name.

Returns:
  the constructed object